Create a note
curl --request POST \
--url https://api.ara.so/v3/organizations/{orgId}/knowledge/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Deploy process",
"trigger": "When deploying to production",
"body": "Run `bun run release` and wait for the green check before merging."
}
'import requests
url = "https://api.ara.so/v3/organizations/{orgId}/knowledge/notes"
payload = {
"name": "Deploy process",
"trigger": "When deploying to production",
"body": "Run `bun run release` and wait for the green check before merging."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Deploy process',
trigger: 'When deploying to production',
body: JSON.stringify('Run `bun run release` and wait for the green check before merging.')
})
};
fetch('https://api.ara.so/v3/organizations/{orgId}/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"note_id": "<string>",
"name": "<string>",
"trigger": "<string>",
"body": "<string>",
"scope": "<string>",
"repo_filter": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "prompt_required"
}Scope:
runPOST
/
v3
/
organizations
/
{orgId}
/
knowledge
/
notes
Create a note
Authorizations
Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.
Path Parameters
Organization id or slug. Resolve it with GET /v3/self.
Body
application/json
⌘I

